////////////////////////////////////////////////////////////////////////////
// CTaEditVScroll クラスのインタフェース宣言
//
////////////////////////////////////////////////////////////////////////////

#if !defined( TAEDITVSCROLL_H_INCLUDED_ )
#define TAEDITVSCROLL_H_INCLUDED_

#include "output/gui.h"

#include "TaEdit_std.h"

#include "TaEditDraw.h"
#include "ScrollMgr.h"

class CTaEditVScroll :
	public CVScroll,
	public CScrollMgr
{
public:
	CTaEditVScroll();
	~CTaEditVScroll();

	void OnCreate( Widget argWgt, XtPointer user_data );
	void OnDecrement( Widget argWgt, XtPointer user_data );
	void OnIncrement( Widget argWgt, XtPointer user_data );
	void OnPageDown( Widget argWgt, XtPointer user_data );
	void OnPageUp( Widget argWgt, XtPointer user_data );
	void OnDrag( Widget argWgt, XtPointer user_data );
	void ToBottom( Widget argWgt, XtPointer user_data );
	void ToTop( Widget argWgt, XtPointer user_data );
	void OnChangeValue( Widget argWgt, XtPointer user_data );
};

#endif // TAEDITVSCROLL_H_INCLUDED_

